import { TextReader } from "./TextReader";
import { Stream, Type } from "./type";
export declare class StreamReader extends TextReader {
    private readonly o;
    private q;
    private p;
    private k;
    private l;
    private m;
    constructor(a: Stream);
    private r();
    a(): number;
    b(): number;
    c(a: string[], b: number, c: number): number;
    g(): string;
    h(): string;
    static $t: Type;
}
